Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProjectRowsHRPerson
    Inherits BaseObject

    Private _ProjectRows As ProjectRows
    Private _HRPerson As HRPerson

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("ProjectRows-ProjectRowsHRPerson", GetType(ProjectRowsHRPerson)), VisibleInListView(False)> _
    Property ProjectRows As ProjectRows
        Get
            Return _ProjectRows
        End Get
        Set(value As ProjectRows)
            SetPropertyValue("ProjectRows", _ProjectRows, value)
        End Set
    End Property
    Property HRPerson As HRPerson
        Get
            Return _HRPerson
        End Get
        Set(value As HRPerson)
            SetPropertyValue("HRPerson", _HRPerson, value)
        End Set
    End Property
End Class
